__file__ = 'ky_compiler.py'
__usage__ = '''<identifier> = Parser_GEN2( ... )
    Parser.parse() parse source file'''
__description__ = '''Implementation of a generalised recursive descent parser'''

__author__ = 'Timothy Wakeham (timmeh)'
__contact__ = 'timmeh@hiddenworlds.org'
__updated__ = '02-04-2008 @ 01:37:00'

__todo__ = None

#start
from ky_token import Token
from ky_operator import Operator
from ky_data_structures import Node
from ky_lexical_scanner import LexicalScanner
from ky_parser_gen2 import RecursiveDescentExpressionParser_GEN2

class TopDownParser:

    def __init__(self):
        pss
